Exposer
Keywords: com.fg.xmleditor.Exposer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Class Exposer

    java.lang.Object
      com.fg.xmleditor.Exposer

All Implemented Interfaces:
  Common

public class Exposer
extends java.lang.Object
implements Common

Class Exposer allows to label some element and group nodes on the screen with the information, taken from some of their descendants (elements and attributes) at any depth. Exposer doesn't have to be instantiated and used by the user code directly.

Version:
  1.0
Author:
  Felix Golubov

Field Summary

Fields inherited from interface com.fg.xmleditor.Common
`APPINFO, EDITOR_CLASS, EDITOR_ID, EXPOSED, EXPOSED_FLAG, FALSE, ID, ID_FLAG, IDREF, IDREF_FLAG, MESSAGE, NAME, NODE_INFO, PARAM, SCHEMA_NS, TRUE`

Constructor Summary
`Exposer()`

Method Summary
`static void` | `expose(FToggleNode fNode)` Method performs additional labeling outside the specified tree node.
`static boolean` | `exposeChildren(FToggleNode parent)` Method performs additional labeling within the specified tree branch.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exposer

    public Exposer()

Method Detail

### exposeChildren

    public static boolean exposeChildren(FToggleNode parent)

  Method performs additional labeling within the specified tree branch.

  Parameters:
    `parent` - a `FToggleNode` tree node.
  Returns:
    `true` if root node, passed to the method, is marked as "exposed" and `false` otherwise.

### expose

    public static void expose(FToggleNode fNode)

  Method performs additional labeling outside the specified tree node. The method has to be called when specified node have been changed (edited, enabled or disabled).

  Parameters:
    `fNode` - a `FToggleNode` tree node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD